// The following bug occurs in version 467 all the way back to 457
world
	view = 5

client
	var
		blind = FALSE
		range
		turf/new_eye

	New()
		. = ..()
		eye = mob.loc
		new_eye = eye

		// depending on who-knows-what, between different compilations,
		// one of the following will work to recreate the bug:
		if (world.map_format == ISOMETRIC_MAP)
			range = view * 2 + 5
			#if 0
			range = view * 2 + 9
			#endif
		else if (world.map_format == TOPDOWN_MAP)
			range = view + 2

	Move(turf/L)
		. = ..()
		if (.)
			var/xdist = abs(L.x - new_eye.x)
			var/ydist = abs(L.y - new_eye.y)

			//world << "[xdist], [ydist]"

			if (!blind &&\
			(xdist > range || ydist > range || (ydist == range && xdist == range)))
				blind = TRUE
				src << "You are now blind."
			else if (blind &&\
			!(xdist > range || ydist > range || (ydist == range && xdist == range)))
				blind = FALSE
				src << "You are no longer blind."